MINTPY-DEM_ERROR(1)

NAME
mintpy-dem_error - DEM Error (Topographic Residual) Correction

DESCRIPTION
usage: dem_error.py [-h] [-g GEOM_FILE] [-o OUTFILE] [-t TEMPLATE_FILE]

[--ex [EXCLUDEDATE ...]] [-p POLYORDER]
    [-s [STEPFUNCDATE ...]] [--periodic PERIODIC [PERIODIC ...]] [--phase-velocity] [--update] [--ram MAXMEMORY] [-c {lsf,pbs,slurm,local}] [--num-worker NUMWORKER] [--config CONFIG] timeseries_file

DEM Error (Topographic Residual) Correction

  positional arguments:

timeseries_file
    Timeseries file to be corrrected

  options:

-h, --help
    show this help message and exit

-g GEOM_FILE, --geometry GEOM_FILE
    geometry file including datasets: incidence angle slant range distance and/or 3D perpendicular baseline

-o OUTFILE, --outfile OUTFILE
    Output file name for corrected time-series

--phase-velocity
    Use phase velocity instead of phase for inversion constrain.

--update
    Enable update mode, and skip inversion if: 1) output timeseries file already exists, readable and newer than input interferograms file 2) all configuration parameters are the same.

--ram MAXMEMORY, --memory MAXMEMORY
    Max amount of memory in GB to use (default: 4.0). Adjust according to your computer memory.

  temporal deformation model:

-t TEMPLATE_FILE, --template TEMPLATE_FILE
    template file with the options

--ex [EXCLUDEDATE ...], --exclude [EXCLUDEDATE ...]
    Exclude date(s) for DEM error estimation. All dates will be corrected for DEM residual phase still.

-p POLYORDER, --poly-order POLYORDER
    polynomial order number of temporal deformation model (default: 2).

-s [STEPFUNCDATE ...], --step-date [STEPFUNCDATE ...]
    Date of step jump for temporal deformation model (default: []). i.e. date of earthquake/volcanic eruption

--periodic PERIODIC [PERIODIC ...], --period PERIODIC [PERIODIC ...], --peri PERIODIC [PERIODIC ...]
    periodic functinos of temporal deformation model (default: []).

  parallel:

    parallel processing using dask

-c {lsf,pbs,slurm,local}, --cluster {lsf,pbs,slurm,local}, --cluster-type {lsf,pbs,slurm,local}
    Cluster to use for parallel computing (default: None to turn OFF).

--num-worker NUMWORKER
    Number of workers to use (default: 4).

--config CONFIG, --config-name CONFIG
    Configuration name to use in dask.yaml (default: None).

  reference:

    Fattahi, H., and F. Amelung (2013), DEM Error Correction in InSAR Time Series, IEEE TGRS, 51(7), 4249-4259, doi:10.1109/TGRS.2012.2227761.

  template options:

    ## Topographic residual (DEM error) correction ## reference: Fattahi and Amelung (2013, IEEE-TGRS) ## stepFuncDate - specify stepFuncDate option if you know there are sudden displacement jump in your area, ## e.g. volcanic eruption, or earthquake ## excludeDate - dates excluded for the error estimation ## pixelwiseGeometry - use pixel-wise geometry (incidence angle & slant range distance) ## yes - use pixel-wise geometry if they are available [slow; used by default] ## no - use the mean geometry [fast] mintpy.topographicResidual = auto #[yes / no], auto for yes mintpy.topographicResidual.polyOrder = auto #[1-inf], auto for 2, poly order of temporal deformation model mintpy.topographicResidual.phaseVelocity = auto #[yes / no], auto for no - phase, use phase velocity for minimization mintpy.topographicResidual.stepFuncDate = auto #[20080529,20190704T1733 / no], auto for no, date of step jump mintpy.topographicResidual.excludeDate = auto #[20070321 / txtFile / no], auto for exclude_date.txt mintpy.topographicResidual.pixelwiseGeometry = auto #[yes / no], auto for yes, use pixel-wise geometry info

  example:

    # correct DEM error with pixel-wise geometry parameters [slow] dem_error.py timeseries_ERA5_ramp.h5 -g inputs/geometryRadar.h5 -t smallbaselineApp.cfg

    # correct DEM error with mean geometry parameters [fast] dem_error.py timeseries_ERA5_ramp.h5 -t smallbaselineApp.cfg

    # get updated/corrected DEM save_roipac.py inputs/geometryGeo.h5 -o dem.h5 #for dataset in geo coordinates mask.py demErr.h5 -m maskTempCoh.h5 -o demErr_msk.h5 add.py demErr_msk.h5 dem.h5 -o demNew.h5